KIO Slave sysinfo:/

Various KDE 1.-4. Improvements

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

1
5 .0
Description:

This is the openSUSE's KIO Slave sysinfo:/. Theare are the sources and various package (particularly for kubuntu). It shows various information about your pc, like cpu, ram. kernel version, exc. It also shows the rimovable devices and partition (total space/available space) and you can open it from this kio slave (and mount, umount). Watch screenshot and changelog for more information.

If you want to change the icons (or progress bar, only in version 1.8+) of the kio slave put your personal one into the folder "/usr/share/apps/sysinfo/about/images"
(48x48 pixel)


Available languages: English, Italian, French, German, Spanish, Brazilian Portuguese, Dutch, Polish, Czech, Greek, Hungarian, Russian.

Available Distribution: Kubuntu, Debian, Mandriva, Archlinux, PCLinuxOS, Fedora Core, Slackware, Gentoo.

Particular thanks to Divilinux!

For every problem contact me!!! bye!

IMPORTANT:
I can olny update with all fix and language the source code, the kubuntu 7.04 i386 deb and very rarely the debian testing package. if someone (the authors, possibly) want to fix the other packages (or do other ones), i'll post them!

DEVELOPMENT AND BUGFIX:
Probably some language files aren't correct. If someone want to fix them, send the fixed version to my email! thanks!
Please test the new version (1.8.2) and report bugs!
Last changelog:

13 years ago

Added Kubuntu Gutsy i386 package;

Added Debian testing amd64 package; I'll add the kio-sysinfo 1.8.3, with new bugfix, as soon as possible :D

PCLinuxOS rpm updated to version 1.8.2; Added Gentoo ebuild (1.8.2);

Arch linux version updated to version 1.8.2;

Debian Testing i386 deb updated to version 1.8.2;

a APT repository for Kubuntu Feisty was created (that include the kio-sysinfo too of course!)!

Mandriva 2007.1 rpm updated to version 1.8.2

Kubuntu 7.04 i386 deb and sources updated to version 1.8.2;

lontra

13 years ago

If anyone running fedora gets that error with make ... you need to install libhd13-dev. I used alien to convert a deb package from packages.debian.org but i'm sure there's a better way to do that :)

cheers!

Report

C

jerrad

13 years ago

In the repository there is the libhd13-dev rpm converted with alien (development section)

Report

japc

13 years ago

Ah, yeah, right, the maintainer of the packages. I recall noticing him a while ago and nothing.

He finds it normal trying to overwrite files from coreutils and glibc(!?).

Report

universe777

13 years ago

Hi, I have 1.5 installed on Mandriva 2007.1, when I try to update with the 1.7 rpm, some files from 1.7rpm collide with files form 1.5rpm. When I try to uninstall 1.5,half of my kde wants to get uninstalled. How to install correctly ?

Report

prankxd

13 years ago

It's very strange... but... you can do this:

1.- rpm -e --nodeps kio-sysinfo
2.- rpm -Uvh new_1.7.1.mandriva.rpm

or you can add my repository:
1.- urpmi.addmedia --update --wget gejo_repo http://www.latuberia.net/rpms/ with ./hdlist.cz

and install it using urpmi
2.- urpmi kio-sysinfo

I saw that the rpm on http://download.tuxfamily.org/kiosysinfo/Distro/Mandriva/2007.1/i586/ is not the last version.

You can download it from here:
http://www.latuberia.net/rpms/kio-sysinfo-1.7.1-1.mdv2007.1.i586.rpm

Bye.

Report

universe777

13 years ago

Hi, thanks for the quick answer.The nodeps thing worked it out.I've installed the 1.7.1.rpm without any problems :)

Report

prankxd

13 years ago

Thank you for the feedback :)

Report

C

jerrad

13 years ago

sorry... i made a mistake...
rpm updated!

Report

prankxd

13 years ago

No problem :)

great work ;)

Report

DobeR

13 years ago

deb-package doesnt work on my Debian Etch.
I trying all, after installing it not works....

Report

C

jerrad

13 years ago

The Debian deb is for debian TESTING (lenny)... it doesn't work in debian etch (stable)...

Report

lordmasaki

13 years ago

Hello.
I compiled the program (version 1.71, with hwinfo-13.4), but receive a message from error when having access the protocol sysinfo:/ in the konqueror.
When I execute the command hwinfo, I get the following message:

Quote:hal.1: read hal dataprocess 24392: Applications must not close shared connections - see dbus_connection_close() docs. This is a bug in the application.
D-Bus not built with -rdynamic so unable to print a backtrace

The funny one is that I do not find in place some the site of the developer of hwinfo! You it would know as to decide this problem?

Obs: I am brazilian, and my english is very poor.
This message was translated into the English for google translate ;-)

It will be that I must recompile Hal and d-bus?

Thanks.

Report

C

jerrad

13 years ago

sorry... i read now that you use slackware.... the precompiled version (1.5) works???

Report

C

jerrad

13 years ago

which distro do you use??
i think that this isn't a sysinfo's problem but it's a hal or dbus' problem...

Report

MrGosh

13 years ago

I don`t find a package for opensuse

;)

Report

C

jerrad

13 years ago

LOL!! :)

Report

Chytrex_double

13 years ago

On Kubuntu 6.06 Dapper drake (i386) make crashes with this error:


/usr/lib/libhd.a(hd.o): In function `str_printf': undefined reference to `__stack_chk_fail_local'
/usr/lib/libhd.a(hd.o): In function `progress': undefined reference to `__stack_chk_fail_local'
/usr/lib/libhd.a(hd.o): In function `read_file': undefined reference to `__stack_chk_fail_local'
/usr/lib/libhd.a(hd.o): In function `read_udevinfo': undefined reference to `__stack_chk_fail_local'
/usr/lib/libhd.a(hd.o): In function `.L1690': undefined reference to `__stack_chk_fail_local'
/usr/lib/libhd.a(hd.o): more undefined references to `__stack_chk_fail_local' follow
collect2: ld returned 1 exit status
make[2]: *** [kio_sysinfo.la] Error 1
make[2]: Leaving directory `/home/chytrex/TEMP/kio-sysinfo-1.7.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/chytrex/TEMP/kio-sysinfo-1.7.1'
make: *** [all] Error 2


Any ideas how I can fix this error?

Report

C

jerrad

13 years ago

Have you have installed all build-dependencies? xlibs-dev, kde4libs-dev, libhal-dev, libhd13-dev???

Report

pejakm

13 years ago

Hi all!
I have a problem, I get this error when compiling:

sysinfo.cpp:24:16: error: hd.h: No such file or directory
sysinfo.cpp: In member function ‘bool kio_sysinfoProtocol::glInfo()’:
sysinfo.cpp:452: error: ‘hd_data_t’ does not name a type
sysinfo.cpp:456: error: ‘hd_data’ was not declared in this scope
sysinfo.cpp:460: error: ‘hd_data’ was not declared in this scope
sysinfo.cpp:460: error: ‘hw_display’ was not declared in this scope
sysinfo.cpp:460: error: ‘hd_list’ was not declared in this scope
sysinfo.cpp:463: error: ‘hd_t’ was not declared in this scope
sysinfo.cpp:463: error: ‘hd’ was not declared in this scope
sysinfo.cpp:463: error: ‘hd_data’ was not declared in this scope
sysinfo.cpp:463: error: ‘hd_display_adapter’ was not declared in this scope
sysinfo.cpp:463: error: ‘hd_get_device_by_idx’ was not declared in this scope
sysinfo.cpp:468: error: ‘driver_info_t’ was not declared in this scope
sysinfo.cpp:468: error: ‘di’ was not declared in this scope
sysinfo.cpp:476: error: ‘di_x11’ was not declared in this scope
sysinfo.cpp:478: error: ‘di_module’ was not declared in this scope

Configuration went well.

Anyone knows what seems to be the problem?
My OS is Mandriva 2007.0.

Cheers!

Report

C

jerrad

13 years ago

download linhd13-dev rpm from download section and install it. It would have to work..

bye!

Report

pejakm

13 years ago

Thanks, I thought it might be the problem. I checked and I don't have it installed, so that must be it.

Report

FrancesKo

13 years ago

I installed KIO slave sysinfo, on my Kubuntu Feisty Fawn with KDE 3.5.6, but when I open Konqueror and point the browser to 'sysinfo:/' the X server crashes....
Perhaps the problem is on my PC, in fact if I run:
'glxinfo |grep rendering'
in a konsole, the X server crashes.
I think that if I point konqueror to 'sysinfo:/', the X server crashes because KIO slave sysinfo would check if there is a 3D acceleration...
Is it possible to disable this function? So I can check if it is the problem.

Report

C

jerrad

13 years ago

yes... the kio-sysinfo check 3D acceleration... to disable it you have to recompile the source code without this function... if you have prolem doing this, post here or send me an email!

but... wouldn't be better to resolve the X crash problem?

Report

benjf5

13 years ago

Okay, so I have an English installation of Kubuntu 7.04, and I decided to upgrade to sysinfo:/ v.1.7, and then it said a dependency was missing, so I reinstalled 1.3, and suddenly I have 1.7 running perfectly, except it's all in Italian. How do I change this? Is it a bug or a feature, meant to make me learn multiple languages? (I enjoy languages, this is not meant to be offensive. I'd love to learn Italian!)

Report

benjf5

13 years ago

never mind... I installed libhd13, and suddenly, poof! It reverted to English! That's got to be one of the stranger occurrences with this, I bet...

Report

13 years ago

Added Kubuntu Gutsy i386 package;

Added Debian testing amd64 package; I'll add the kio-sysinfo 1.8.3, with new bugfix, as soon as possible :D

PCLinuxOS rpm updated to version 1.8.2; Added Gentoo ebuild (1.8.2);

Arch linux version updated to version 1.8.2;

Debian Testing i386 deb updated to version 1.8.2;

a APT repository for Kubuntu Feisty was created (that include the kio-sysinfo too of course!)!

Mandriva 2007.1 rpm updated to version 1.8.2

Kubuntu 7.04 i386 deb and sources updated to version 1.8.2;

12345678910
product-maker Base: 4 x 5.0 Ratings
Be the first to comment
usrkl
Jul 08 2009
File (click to download) Version Description PackagetypeArchitecture Downloads Date Filesize DL OCS-Install MD5SUM
*Needs pling-store or ocs-url to install things
Pling
0 Affiliates
Details
license
version
1.8.2
updated Oct 26 2007
added May 20 2007
downloads 24h
0
mediaviews 24h 0
pageviews 24h 2